<?php

namespace Teknisa\FAI\Modules\Tabelas\Controllers;

use Zeedhi\Framework\DTO;

class Fai02800LancamentoDeDespesasComMaoDeObra extends \Teknisa\GER\Controllers\TeknisaCrud {

	protected $environment;
    protected $crudService;
    protected $parameterBag;
    protected $parameterBagColumns;
    protected $dataSourceName;
    protected $dataSourceNameToSave = 'lancdespfatu';

    public function __construct($crudService, $parameterBag, $environment) {

        $this->crudService  = $crudService;
        $this->parameterBag = $parameterBag;
        $this->environment  = $environment;

        parent::__construct($crudService, $parameterBag);
    }

    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = "fai02800_lancdespfatu_despadmfatur";
        $this->parameterBagColumns = array('CDFILIAL', 'CDDESPESA', 'DATAINICIAL', 'DATAFINAL', 'ALLDATA', 'STATUS');
        parent::find($request, $response);
    }

    public function save(DTO\Request $request, DTO\Response $response) {
        $this->dataSourceNameToSave = "lancdespfatu";
   	    parent::save($request, $response);
	}

	public function delete(DTO\Request $request, DTO\Response $response) {
		$this->dataSourceName = "lancdespfatu";
    	parent::delete($request, $response);
	}
}